[![Build Status](https://travis-ci.org/idno/known.svg?branch=master)](https://travis-ci.org/idno/known) 
[![Backers on Open Collective](https://opencollective.com/known/backers/badge.svg)](#backers) 
[![Sponsors on Open Collective](https://opencollective.com/known/sponsors/badge.svg)](#sponsors) 

# Known: a social group platform

![Known - A social group platform](https://withknown.com/img/home/screens.png)

## Installation 

### One-click Known sites

If you want to install on your own web space, we recommend [Reclaim Hosting](https://portal.reclaimhosting.com/aff.php?aff=013),
which includes one-click Known installation. Known is also known to work on [DreamHost](https://dreamhost.com), a high-quality
web hosting provider.

### Installing

Known is under active development and requires PHP 7.1+ with selected extensions, together with a supported database backend. You can find detailed installation instructions here: <http://docs.withknown.com/en/latest/install/index.html>

#### Installing from packages

_Unofficial_ install packages, which are periodically built from the latest code, are available: <https://www.marcus-povey.co.uk/known/>

#### Installing from Github

You can opt to check out the work-in-progress development code from the git repository: <https://github.com/idno/known>

* Check out the repo: ```git clone https://github.com/idno/known.git```
* Fetch dependencies: ```cd known; composer install```

#### Installing with composer

You can install Known directly from composer using: ``` composer create-project idno/known ```

Optionally, you can install the latest bleeding edge code the same way: ``` composer create-project idno/known -s dev ```

### Support us

**If you find this project useful, and you really want to support us, you can now fund us on [OpenCollective](https://opencollective.com/known).**

* [Star us on GitHub](https://github.com/idno/known)
* [Like us on alternativeto.net](http://alternativeto.net/software/known/)
* [Contribute](CONTRIBUTING.md)

### Get support

* Try the open source mailing list: <https://groups.google.com/forum/#!forum/known-dev>

## Community links

* Learn more and sign up to get updates: <https://withknown.com>
* Full project documentation: <http://docs.withknown.com/>
* Join the development mailing list: <https://groups.google.com/forum/#!forum/known-dev>
* Join the IRC channel: [#knownchat](https://webchat.freenode.net/?channels=knownchat) on Freenode

For details on contributing to the Known project, please read [CONTRIBUTING.md](CONTRIBUTING.md).

## Contributors

This project exists thanks to all the people who contribute. [[Contribute](CONTRIBUTING.md)].
<a href="https://github.com/idno/known/graphs/contributors"><img src="https://opencollective.com/known/contributors.svg?width=890&button=false" /></a>


## Backers

Thank you to all our backers! 🙏 [[Become a backer](https://opencollective.com/known#backer)]

<a href="https://opencollective.com/known#backers" target="_blank"><img src="https://opencollective.com/known/backers.svg?width=890"></a>


## Sponsors

Support this project by becoming a sponsor. Your logo will show up here with a link to your website. [[Become a sponsor](https://opencollective.com/known#sponsor)]

<a href="https://opencollective.com/known/sponsor/0/website" target="_blank"><img src="https://opencollective.com/known/sponsor/0/avatar.svg"></a>
<a href="https://opencollective.com/known/sponsor/1/website" target="_blank"><img src="https://opencollective.com/known/sponsor/1/avatar.svg"></a>
<a href="https://opencollective.com/known/sponsor/2/website" target="_blank"><img src="https://opencollective.com/known/sponsor/2/avatar.svg"></a>
<a href="https://opencollective.com/known/sponsor/3/website" target="_blank"><img src="https://opencollective.com/known/sponsor/3/avatar.svg"></a>
<a href="https://opencollective.com/known/sponsor/4/website" target="_blank"><img src="https://opencollective.com/known/sponsor/4/avatar.svg"></a>
<a href="https://opencollective.com/known/sponsor/5/website" target="_blank"><img src="https://opencollective.com/known/sponsor/5/avatar.svg"></a>
<a href="https://opencollective.com/known/sponsor/6/website" target="_blank"><img src="https://opencollective.com/known/sponsor/6/avatar.svg"></a>
<a href="https://opencollective.com/known/sponsor/7/website" target="_blank"><img src="https://opencollective.com/known/sponsor/7/avatar.svg"></a>
<a href="https://opencollective.com/known/sponsor/8/website" target="_blank"><img src="https://opencollective.com/known/sponsor/8/avatar.svg"></a>
<a href="https://opencollective.com/known/sponsor/9/website" target="_blank"><img src="https://opencollective.com/known/sponsor/9/avatar.svg"></a>



## Copyright and License

Except for included third-party projects, Known is (c) Known, Inc.

Unless otherwise stated, Known is licensed under the Apache Software License 2.0. See [LICENSE](LICENSE) for more information.

Known logos are (c) Known, Inc. Permission from Known, Inc is required to use the Known name or logo as part of any
project, product, service, domain or company name, except as included in official themes distributed by Known.

Logos of external services are (c) their respective owners. All rights reserved.

Third party libraries are licensed separately.

### Known also contains

* Twitter Bootstrap, which is distributed under the Apache 2.0 license. Source: https://github.com/twitter/bootstrap
* jQuery, which is distributed under the MIT License. Source: https://github.com/jquery/jquery
* Portions of Symfony, which is distributed under the MIT license.
  * EventDispatcher. Source: https://github.com/symfony/EventDispatcher
  * HttpFoundation. Source: https://github.com/symfony/HttpFoundation
  * Console. Source: https://github.com/symfony/console
* ToroPHP, which is distributed under the MIT License. Source: https://github.com/anandkunal/ToroPHP/
* Fork Awesome, which is distributed under the Open Font License, version 1.1: https://github.com/ForkAwesome/Fork-Awesome
* Steve Clay's AutoP, which is distributed under the MIT License. Source: https://code.google.com/p/mrclay/
* Aaron Parecki's Webmention Client, which is distributed under the Apache 2.0 license. Source: https://github.com/aaronpk/mention-client
* Barnaby Walters's Microformats 2 Parser, which is distributed under the MIT License. Source: https://github.com/indieweb/php-mf2
* FitVids.js, which is distributed under the WTFPL License. Source: http://fitvidsjs.com/
* Leaflet.js, which is distributed under the BSD 2-Clause License. Source: http://leafletjs.com/ 
* SwiftMailer, which is distributed under the MIT License. Source: https://github.com/swiftmailer/swiftmailer
* Antwort, an email template which is distributed under the MIT License. Source: https://github.com/internations/antwort
* Mention.js, a Bootstrap user at-mention library, which is distributed under the MIT License. Source: https://github.com/jakiestfu/Mention.js
* MediaElement.js, a cross-browser media player, which is distributed under the MIT License. Source: https://github.com/johndyer/mediaelement
* Simplepie, a feed parser, which is distributed under the BSD 3-Clause License. Source: https://github.com/simplepie/simplepie/
* Bootstrap Toggle, which is distributed under the MIT License. Source: http://www.bootstraptoggle.com/
* TinyMCE, a rich text editor, which is distributed under the LGPL License. Source: https://github.com/tinymce/tinymce
* The Paypal Bootstrap Accessibility Plugin, which is distributed under the BSD 3-Clause License. Source: https://github.com/paypal/bootstrap-accessibility-plugin
* HTMLPurifier, which is distributed under the LGPL License. Source: http://htmlpurifier.org
* Wavesurfer, which is distrubuted under a Creative Commons Attribution 3.0 Unported License. Source: https://github.com/katspaugh/wavesurfer.js
* MongoDB-PHP-Library, which is distributed under the Apache 2 Licence. Source: https://github.com/mongodb/mongo-php-library
* Exif-js, which is distributed under the MIT Licence. Source: https://github.com/exif-js/exif-js
* PHP-OGP, distributed under the GPL2 Licence. Source: https://github.com/mapkyca/php-ogp
